From cf4739d617d2b0a4311aae25f3e24f51ea5e1dbe Mon Sep 17 00:00:00 2001
From: Julian Andres Klode <jak@debian.org>
Date: Mon, 1 Mar 2010 12:19:41 +0100
Subject: [PATCH 2/2] plugins: Import apt_pkg directly instead of using apt.apt_pkg.

---
 plugins/apttags.py      |    4 ++--
 plugins/descriptions.py |    3 ++-
 plugins/sections.py     |    3 ++-
 plugins/sizes.py        |    3 ++-
 4 files changed, 8 insertions(+), 5 deletions(-)

diff --git a/plugins/apttags.py b/plugins/apttags.py
index b8b221d..ecf4501 100644
--- a/plugins/apttags.py
+++ b/plugins/apttags.py
@@ -1,6 +1,6 @@
 # Add debtags tags to the index
 
-import re, os, os.path, apt
+import re, os, os.path, apt, apt_pkg
 
 DEBTAGSDB = "/var/lib/debtags/package-tags"
 
@@ -25,7 +25,7 @@ class AptTags:
         """
         self.re_expand = re.compile(r"\b([^{]+)\{([^}]+)\}")
         self.re_split = re.compile(r"\s*,\s*")
-        file = apt.apt_pkg.config.find_file("Dir::Cache::pkgcache")
+        file = apt_pkg.config.find_file("Dir::Cache::pkgcache")
         return dict(timestamp = os.path.getmtime(file))
 
     def init(self, info, progress):
diff --git a/plugins/descriptions.py b/plugins/descriptions.py
index 6126e64..fb892a7 100644
--- a/plugins/descriptions.py
+++ b/plugins/descriptions.py
@@ -1,4 +1,5 @@
 import apt
+import apt_pkg
 import xapian
 import re
 import os, os.path
@@ -22,7 +23,7 @@ class Descriptions:
         the timestamp shows that this plugin is currently not needed, then the
         long initialisation can just be skipped.
         """
-        file = apt.apt_pkg.config.find_file("Dir::Cache::pkgcache")
+        file = apt_pkg.config.find_file("Dir::Cache::pkgcache")
         return dict(timestamp = os.path.getmtime(file))
 
     def init(self, info, progress):
diff --git a/plugins/sections.py b/plugins/sections.py
index 197efb9..36801b3 100644
--- a/plugins/sections.py
+++ b/plugins/sections.py
@@ -1,4 +1,5 @@
 import apt
+import apt_pkg
 import xapian
 import os, os.path
 
@@ -21,7 +22,7 @@ class Sections:
         the timestamp shows that this plugin is currently not needed, then the
         long initialisation can just be skipped.
         """
-        file = apt.apt_pkg.config.find_file("Dir::Cache::pkgcache")
+        file = apt_pkg.config.find_file("Dir::Cache::pkgcache")
         return dict(timestamp = os.path.getmtime(file))
 
     def init(self, info, progress):
diff --git a/plugins/sizes.py b/plugins/sizes.py
index 26da747..5d13aec 100644
--- a/plugins/sizes.py
+++ b/plugins/sizes.py
@@ -1,4 +1,5 @@
 import apt
+import apt_pkg
 import xapian
 import os, os.path
 
@@ -21,7 +22,7 @@ class Sizes:
         the timestamp shows that this plugin is currently not needed, then the
         long initialisation can just be skipped.
         """
-        file = apt.apt_pkg.config.find_file("Dir::Cache::pkgcache")
+        file = apt_pkg.config.find_file("Dir::Cache::pkgcache")
         return dict(
                 timestamp = os.path.getmtime(file),
                 values = [
-- 
1.7.0

